Subject: bug#36649: 27.0.50; pure space and pdumper

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jul 2022 12:22:05 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Pip Cet <[email-masked]>,  [email-masked],
>   [email-masked], Po Lu <[email-masked]>
> Date: Sat, 02 Jul 2022 11:16:05 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Basically, I don't want us to drop the pure space in the unexec
> > builds, whether it makes sense to the rest of you or not.
> 
> Could you explain why?

Because I don't want to invest any significant effort in maintaining
the unexec build.  It should remain as close to its original shape as
possible, until it's gone.

> > So there are two alternatives: either drop pure space only for the
> > pdumper build, or wait for us to remove the unexec support and drop
> > pure space then.
> 
> If I understand correctly, dropping pure space would make Po's work on
> improving the garbage collector easier -- and improving gc is important,
> so it seems to make sense to get rid of pure space just for that reason.

He said he already dropped that in the branch where he works, so that
is AFAIU a moot point.  (And if he didn't drop it already, he can drop
it now in that branch.)

> But I'm not against dropping unexec now, too -- we can drop both unexec
> and pure space now.

Not yet, we don't have enough experience without it.